Bug 252741 - deskutils/elementary-calendar: Segmentation fault (version 5.1.1, FreeBSD 13.0-ALPHA1 #3 main-c255947-g420d4be3e40a)
Summary: deskutils/elementary-calendar: Segmentation fault (version 5.1.1, FreeBSD 13....
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Neel Chauhan
URL: https://reviews.freebsd.org/D28216
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-16 14:27 UTC by Mateusz Piotrowski
Modified: 2021-01-24 16:09 UTC (History)
1 user (show)

See Also:
nc: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz Piotrowski freebsd_committer 2021-01-16 14:27:36 UTC
I'm getting a segmentation fault when I start io.elementary.calendar 5.1.1 on FreeBSD 13.0-ALPHA1 #3 main-c255947-g420d4be3e40a (amd64):

```
$ io.elementary.calendar

** (io.elementary.calendar:52405): WARNING **: 15:24:32.229: EventStore.vala:313: Unknown value of _NL_TIME_WEEK_1STDAY: 168276142
Segmentation fault (core dumped)
```

I've not tried to debug so far, I'm just reporting an issue.
Comment 1 Neel Chauhan freebsd_committer 2021-01-18 04:40:16 UTC
Thanks for the report!

I have opened a Phabricator review: https://reviews.freebsd.org/D28216

The review fixes this crash, and one more that came afterwards.
Comment 2 commit-hook freebsd_committer 2021-01-18 17:08:30 UTC
A commit references this bug:

Author: nc
Date: Mon Jan 18 17:07:47 UTC 2021
New revision: 561948
URL: https://svnweb.freebsd.org/changeset/ports/561948

Log:
  deskutils/elementary-calendar: Fix Segmentation fault.

  PR:			252741
  Submitted by:		0mp
  Reviewed by:		0mp (mentor)
  Approved by:		0mp (mentor)
  MFH:			2021Q1
  Differential Revision:	https://reviews.freebsd.org/D28216

Changes:
  head/deskutils/elementary-calendar/Makefile
  head/deskutils/elementary-calendar/files/patch-core_Services_Calendar_EventStore.vala
  head/deskutils/elementary-calendar/files/patch-src_MainWindow.vala
Comment 3 commit-hook freebsd_committer 2021-01-18 17:13:32 UTC
A commit references this bug:

Author: nc
Date: Mon Jan 18 17:13:20 UTC 2021
New revision: 561949
URL: https://svnweb.freebsd.org/changeset/ports/561949

Log:
  MFH: r561948

  deskutils/elementary-calendar: Fix Segmentation fault.

  PR:			252741
  Submitted by:		0mp
  Reviewed by:		0mp (mentor)
  Approved by:		0mp (mentor), portmgr banket
  Differential Revision:	https://reviews.freebsd.org/D28216

Changes:
_U  branches/2021Q1/
  branches/2021Q1/deskutils/elementary-calendar/Makefile
  branches/2021Q1/deskutils/elementary-calendar/files/patch-core_Services_Calendar_EventStore.vala
  branches/2021Q1/deskutils/elementary-calendar/files/patch-src_MainWindow.vala
Comment 4 Mateusz Piotrowski freebsd_committer 2021-01-24 16:09:41 UTC
Seems to be fixed now, thanks!